Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.server.java.util
Interface Iterator

All Known Subinterfaces:
  ListIterator

public interface Iterator

An iterator over a Collection. Iterator takes the place of Enumeration in the Java collection framework. Iterators differ from Enumerations in two ways:

- Iterators allow the caller to remove elements from the underlying collection during the iteration with well-defined semantics.
- Method names have been improved.

Since:
  JDK1.2
See Also:
  `Collection`, `ListIterator`, `Enumeration`

Method Summary
`boolean` | `hasNext()` Returns true if the iteration has more elements.
`java.lang.Object` | `next()` Returns the next element in the interation.
`void` | `remove()` Removes from the underlying Collection the last element returned by the Iterator .

Method Detail

### hasNext

    public boolean hasNext()

  Returns true if the iteration has more elements.
  Since:
    JDK1.2

### next

    public java.lang.Object next()

  Returns the next element in the interation.
  Throws:
    `NoSuchElementException` - iteration has no more elements.
  Since:
    JDK1.2

### remove

    public void remove()

  Removes from the underlying Collection the last element returned by the Iterator . This method can be called only once per call to next The behavior of an Iterator is unspecified if the underlying Collection is modified while the iteration is in progress in any way other than by calling this method. Optional operation.
  Throws:
    `UnsupportedOperationException` - remove is not supported by this Iterator.
    `NoSuchElementException` - next has not yet been called, or remove has already been called after the last call to next.
  Since:
    JDK1.2

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.